﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows;

namespace XamDataTimeEditor
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        DateTime? date;

        private void xamDateTimeEditor1_EditModeEnding(object sender, Infragistics.Windows.Editors.Events.EditModeEndingEventArgs e)
        {
            XamDateTimeEditor editor = sender as Infragistics.Windows.Editors.XamDateTimeEditor;
            if (editor.Text.Length <= 14)
            {
                editor.Value = date;
            }            
        }

        private void PART_Calendar_SelectedDatesChanged(object sender, Infragistics.Windows.Editors.Events.SelectedDatesChangedEventArgs e)
        {
            if ((sender as XamMonthCalendar).SelectedDate != null)
            {
                date = (sender as XamMonthCalendar).SelectedDate;
            }            
        }

        private void xamDateTimeEditor1_EditModeValidationError(object sender, Infragistics.Windows.Editors.Events.EditModeValidationErrorEventArgs e)
        {
            e.InvalidValueBehavior = InvalidValueBehavior.RetainValue;
            e.Editor.EndEditMode(true, true);
        }
    }
}
